org.apache.struts2.components.template

## Class TemplateEngineManager

- java.lang.Object
- - org.apache.struts2.components.template.TemplateEngineManager

-     public class TemplateEngineManager
      extends Object

  The TemplateEngineManager will return a template engine for the template

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TEMPLATE_TYPE` The default template extension is `ftl`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateEngineManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateEngine` | `getTemplateEngine(Template template, String templateTypeOverride)` Gets the TemplateEngine for the template name.
    `void` | `registerTemplateEngine(String templateExtension, TemplateEngine templateEngine)` Registers the given template engine.
    `void` | `setContainer(Container container)`
    `void` | `setDefaultTemplateType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_TYPE

          public static final String DEFAULT_TEMPLATE_TYPE

      The default template extension is `ftl`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TemplateEngineManager

          public TemplateEngineManager()

  - ### Method Detail

    - #### setDefaultTemplateType

          public void setDefaultTemplateType(String type)

    - #### setContainer

          public void setContainer(Container container)

    - #### registerTemplateEngine

          public void registerTemplateEngine(String templateExtension,
                                             TemplateEngine templateEngine)

      Registers the given template engine.

      Will add the engine to the existing list of known engines.

      Parameters:
        `templateExtension` - filename extension (eg. .jsp, .ftl, .vm).
        `templateEngine` - the engine.

    - #### getTemplateEngine

          public TemplateEngine getTemplateEngine(Template template,
                                                  String templateTypeOverride)

      Gets the TemplateEngine for the template name. If the template name has an extension (for instance foo.jsp), then this extension will be used to look up the appropriate TemplateEngine. If it does not have an extension, it will look for a Configuration setting "struts.ui.templateSuffix" for the extension, and if that is not set, it will fall back to "ftl" as the default.

      Parameters:
        `template` - Template used to determine which TemplateEngine to return
        `templateTypeOverride` - Overrides the default template type
      Returns:
        the engine.

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.